
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_servicelistrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for FlightCharacteristicsCodeContentType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="FlightCharacteristicsCodeContentType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="AirportChange"/&amp;gt;
 *     &amp;lt;enumeration value="Direct"/&amp;gt;
 *     &amp;lt;enumeration value="NonStop"/&amp;gt;
 *     &amp;lt;enumeration value="OvernightStop"/&amp;gt;
 *     &amp;lt;enumeration value="RedEye"/&amp;gt;
 *     &amp;lt;enumeration value="WaitList"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "FlightCharacteristicsCodeContentType")
@XmlEnum
public enum FlightCharacteristicsCodeContentType {

    @XmlEnumValue("AirportChange")
    AIRPORT_CHANGE("AirportChange"),
    @XmlEnumValue("Direct")
    DIRECT("Direct"),
    @XmlEnumValue("NonStop")
    NON_STOP("NonStop"),
    @XmlEnumValue("OvernightStop")
    OVERNIGHT_STOP("OvernightStop"),
    @XmlEnumValue("RedEye")
    RED_EYE("RedEye"),
    @XmlEnumValue("WaitList")
    WAIT_LIST("WaitList");
    private final String value;

    FlightCharacteristicsCodeContentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FlightCharacteristicsCodeContentType fromValue(String v) {
        for (FlightCharacteristicsCodeContentType c: FlightCharacteristicsCodeContentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
